Skip to main content
POST
Retry verification

Authorizations

X-API-Key
string
header
required

API key for service-to-service authentication

Path Parameters

id
string<uuid>
required

Verification ID to retry

Query Parameters

force
boolean
default:false

Force retry even if verification is not in FAILED status

Response

Verification retry initiated successfully

id
string<uuid>

Unique verification identifier

service
object
user_id
string<uuid> | null

User who created the verification

api_key
string | null

API key used for this verification

Example:

null

folder_id
string<uuid>

Folder containing this verification

result_id
string<uuid>

Result group identifier

execution_time
number<float>

Processing time in seconds

Example:

2.284

status
enum<string>

Current verification status

Available options:
DRAFT,
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELLED,
NEED_REVIEW,
FRAUD_DETECTED,
PARTIALLY_COMPLETED,
PARTIALLY_FAILED
Example:

"COMPLETED"

start_date
string<date-time> | null

Processing start time

end_date
string<date-time> | null

Processing end time

input_config
object

Service-specific input configuration

Example:
input_file_url
object

URLs of input files organized by file type

Example:
output
object

Verification results and extracted data

Example:
output_file_url
string<uri> | null

URL to download detailed results

Example:

"https://example.com/output.json"

output_status
enum<string> | null

Overall verification result status

Available options:
VERIFIED,
NOT_VERIFIED,
PARTIALLY_NOT_VERIFIED
external_job_id
object | null

External processing job identifiers

webhook_url
string<uri> | null

Webhook URL for notifications

Example:

"https://your-app.com/webhook"

webhook_metadata
object

Custom metadata for webhook

export_file_url
string<uri> | null

URL to download exported results

Example:

"https://example.com/export.xlsx"

credit_used
integer

Credits consumed by this verification

Example:

10

total_files
integer

Number of files processed

Example:

2

total_pages
integer

Number of pages processed

Example:

5

created_at
string<date-time>

Verification creation timestamp

updated_at
string<date-time>

Last update timestamp